#
# spec file for package shepherd
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           shepherd
Version:        0.4.0
Release:        lp150.1.1
Summary:        Init and service manager
License:        GPL-3.0-or-later
Group:          System/Base
Url:            https://www.gnu.org/software/shepherd/
Source0:        http://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        http://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
BuildRequires:  guile-devel
BuildRequires:  pkg-config
Requires(post): %install_info_prereq
Requires(preun): %install_info_prereq

%description
The GNU Daemon Shepherd or GNU Shepherd, formerly known as GNU dmd, is
a service manager that looks after the herd of system services. It
provides a replacement for the service-managing capabilities of
SysV-init (or any other init). It is intended
for use on GNU/Hurd, but it is supposed to work on every POSIX-like
system where Guile is available. In particular, it is used as PID 1 by
the Guix System Distribution (GuixSD).


%package bins
Summary:        Shepherd's init binaries
Group:          System/Base
Conflicts:      systemd-sysvinit

%description bins
Binaries of shepherd conflicting with other init systems.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}

%post
%install_info --info-dir=%_infodir %_infodir/%name.info.gz

%preun
%install_info_delete --info-dir=%_infodir %_infodir/%name.info.gz

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc
%{_bindir}/herd
%{_bindir}/shepherd
%{_libdir}/guile
%{_datadir}/guile
%doc %{_infodir}/%{name}.info.gz
%doc %{_mandir}/man*/*
%exclude %{_mandir}/man8/reboot.8.*
%exclude %{_mandir}/man8/halt.8.*

%files bins
%{_sbindir}/*
%doc %{_mandir}/man8/reboot.8.*
%doc %{_mandir}/man8/halt.8.*

%changelog
* Fri Mar 23 2018 sleep_walker@opensuse.org
- bump to 0.4.0
  changes since 0.3.2
  * * When running as non-root, keep track of forked processes
  * * When running as root, log to /dev/log (syslogd) or /dev/kmsg by default
  * * ‘exec-command’ opens log file in append mode
  * * Add native language support (5 languages currently supported)
  * * ‘log-output-port’ is now a SRFI-39 parameter
  * * New ‘make-shepherd-output-port’ in lieu of ‘shepherd-output-port’
  * * Fix non-deterministic test suite issues
* Sat Mar 10 2018 jengelh@inai.de
- Ensure neutrality of description.
* Fri Mar  9 2018 sleep_walker@opensuse.org
- put conflicting man pages into shepherd-bins which conflicts with
  systemd-sysvinit providing the same manpages
* Tue May 23 2017 sleep_walker@opensuse.org
- let there be shepherd init
- make shepherd-bins conflicting with systemd-sysvinit
